{% extends "customers/base.html" %}
{% load i18n %}
{% load humanize %}
{% load price_tag %}

{% block title %}Detalle del Pago{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
      <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
      {%if object.provider %}
      <li class="breadcrumb-item active"><a href="{% url 'provider-statement' object.provider.pk %}">Balance</a></li>
	  {%endif%}
      <li class="breadcrumb-item active">Detalle de Pago</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalle <small>pago</small></h1>
  <!-- end page-header -->
  

  <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Detalle de Pago</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
    <table class="table">
        <tr>
          <td><strong>ID</strong></td><td>{{ object.id }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del Pago</strong></td><td>{{ object.paid_on }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del depósito</strong></td><td>{{ object.deposited_on  }}</td>
        </tr>
        {% if object.bank_account %}
        <tr>
          <td><strong>Monto</strong></td>
        <td>  {{object.bank_account.currency.symbol}}  {{ object.amount| price_tag }}</td>
      </tr>
      {%else%}
      <tr>
      <td><strong>Monto (Original)</strong></td>
      <td>$ {{ object.amount| price_tag }}</td>
      </tr>
      <tr>
          <td><strong>Moneda</strong></td>
          <td>No tiene asociada</td>
          </tr>
      {%endif%}
      {% if object.tasa %}
      <tr>
      <td><strong>Monto convertido</strong></td>
      <td> {{ object.price| price_tag }}</td>
      </tr>
      <tr>
      <td><strong>Tasa conversión</strong></td>
      <td> {{ object.tasa| price_tag }}</td>
      </tr>
      {%endif%}
      {% if object.bank_account %}
        <tr>
          <td><strong>Cuenta Bancaria</strong></td>
        <td>  {{object.bank_account}}</td>
      </tr>
      {%endif%}
        <tr>
          <td><strong>Tipo</strong></td><td>{{ object.get_kind_display }}</td>
        </tr>
        <tr>
          <td><strong>Operador</strong></td><td>{{ object.operator }}</td>
        </tr>
        <tr>
          <td><strong>Comentario</strong></td><td>{{ object.comment  }}</td>
        </tr>
        {% if object.number_document %}
        <tr>
          <td><strong>Número de Documento </strong></td><td>{{ object.number_document}} </td>
        </tr>
  {% endif %}
	{% if object.proof %}
        <tr>
          <td><strong>Comprobante de pago</strong></td><td><a href="{{ object.proof.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof2 %}
        <tr>
          <td><strong>Comprobante de pago 2</strong></td><td><a href="{{ object.proof2.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof2_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof3 %}
        <tr>
          <td><strong>Comprobante de pago 3</strong></td><td><a href="{{ object.proof3.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof3_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.file %}
        <tr>
          <td><strong>Archivo</strong></td><td><a target="_blank" href="{{ object.file.url }}">{{ object.file }}</a></td>
        </tr>
  {% endif %}
  {% if object.provider %}
        <tr>
          <td><strong>Proveedor</strong></td><td><a href="{% url 'provider-statement' object.provider.pk %}">{{ object.provider.name }} ( {{ object.provider.rut }} )</a></td>
        </tr>
        {% endif %}
	{% with object.previous_customer as previous_customer %}
	{% if previous_customer %}
        <tr>
          <td><strong><span class="text-danger">Cliente anterior</span></strong></td><td><a href="{{ previous_customer.get_absolute_url }}">{{ previous_customer.name }} ( {{ previous_customer.rut }} )</a></td>
        </tr>
	{% endif %}
	<tr>
	  <td><a class="btn btn-primary" href="{% url 'provider-payment-update' object.pk %}">Editar</a></td>
	</tr>
	{% endwith %}
        
    </table>
    </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>

<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Histórico de modificaciones</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
    
    <table class="table">
<thead>
<tr>
  <th>Actividad</th>
  <th>Fecha</th>
</tr>
<thead>
<tbody>
    {% for activity in object.action_log %}
    <tr>
      <td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este pago.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
    </tr>
    {% endfor %}
</tbody>
    </table>
   
  </div>
  <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de pagos.</h5>
</div>
{%endif%}
{% endblock %}